11 Replies Latest reply: Jul 20, 2012 10:57 AM by Zoltan Kecskemethy RSS

    RHEL5 RPMs fail to install for Oracle 11gR2

    User305774
      1) We are trying to install the required missing Oracle 11gR2 RPM packages for RHEL5 Linux:

      gcc-4.1.2
      elfutils-libelf-devel-0.125
      glibc-devel-2.5
      glibc-headers-2.5
      gcc-c++-4.2
      libaio-devel0.3.106
      libstdc++-devel-4.1.2
      sysstat-7.0.2
      unixODBC-2.2.11
      unixODBC-devel-2.2.11



      2)Unfortunately I am not exactly sure what RPM versions for RHEL5 are required to download from the Redhat site.

      3) I downloaded the following RPMs from Redhat site:

      compat-db-4.2.52-5.1.i386.rpm
      compat-db-4.2.52-5.1.x86_64.rpm
      elfutils-libelf-devel-0-1.125-3.el5.x86_64.rpm
      elfutils-libelf-devel-0.125-3.el5.i386.rpm
      elfutils-libelf-devel-0.125-3.el5.x86_64.rpm
      elfutils-libelf-devel-static-0.125-3.el5.i386.rpm
      elfutils-libelf-devel-static-0.125-3.el5.x86_64.rpm
      gcc-2.7.2.3-8.src.rpm
      gcc-4.1.2-42.el5.x86_64.rpm
      gcc-c++-4.1.2-42.el5.x86_64.rpm
      gcc-c++-4.1.2-46.el5.i386.rpm
      gcc-c++-4.1.2-46.el5.x86_64.rpm
      glibc-devel-2.5-18.i386.rpm
      glibc-devel-2.5-18.x86_64.rpm
      glibc-devel-2.5-24.i386.rpm
      glibc-devel-2.5-24.x86_64.rpm
      glibc-headers-2.5-18.i386.rpm
      glibc-headers-2.5-18.x86_64.rpm
      glibc-headers-2.5-24.x86_64.rpm
      kernel-headers-2.6.18-92.el5.x86_64.rpm
      libaio-devel-0.3.106-3.2.i386.rpm
      libaio-devel-0.3.106-3.2.x86_64.rpm
      libaio-devel-0.3.106-5.i386.rpm
      libaio-devel-0.3.106-5.x86_64.rpm
      libgomp-4.1.2-42.el5.x86_64.rpm
      libstdc++-devel-4.1.2-14.el5.i386.rpm
      libstdc++-devel-4.1.2-14.el5.x86_64.rpm
      libstdc++-devel-4.1.2-42.el5.x86_64.rpm
      sysstat-7-1.0.2-1.el5.x86_64.rpm
      sysstat-7.0.2-1.el5.i386.rpm
      sysstat-7.0.2-1.el5.x86_64.rpm
      tightvnc-java-1.3.9-3.noarch.rpm
      unixODBC-2-1.2.11-10.el5.i386.rpm
      unixODBC-2-1.2.11-10.el5.x86_64.rpm
      unixODBC-2.2.11-10.el5.i386.rpm
      unixODBC-2.2.11-10.el5.x86_64.rpm
      unixODBC-2.2.12-5.fc8.x86_64.rpm
      unixODBC-devel-2-1.2.11-10.el5.i386.rpm
      unixODBC-devel-2-1.2.11-10.el5.x86_64.rpm
      unixODBC-devel-2.2.11-10.el5.i386.rpm
      unixODBC-devel-2.2.11-10.el5.x86_64.rpm


      I am trying to follow instructions for the MOS Note 880989.1 for RHEL with Oracle 11gR2

      4) We have many dependency errors:

      # rpm -ivh glibc-devel-2.5-18.i386.rpm
      warning: glibc-devel-2.5-18.i386.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
      error: Failed dependencies:
      glibc = 2.5-18 is needed by glibc-devel-2.5-18.i386
      glibc-headers is needed by glibc-devel-2.5-18.i386
      glibc-headers = 2.5-18 is needed by glibc-devel-2.5-18.i386


      # ls gcc*
      gcc-c++-4.1.2-46.el5.i386.rpm gcc-c++-4.1.2-46.el5.x86_64.rpm

      # rpm -ivh gcc-c++-4.1.2-46.el5.i386.rpm
      warning: gcc-c++-4.1.2-46.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
      error: Failed dependencies:
      gcc = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.i386
      libstdc++ = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.i386
      libstdc++-devel = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.i386

      # rpm -ivh gcc-c++-4.1.2-46.el5.x86_64.rpm
      warning: gcc-c++-4.1.2-46.el5.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
      error: Failed dependencies:
      gcc = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.x86_64
      libstdc++ = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.x86_64
      libstdc++-devel = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.x86_64


      warning: gcc-c++-4.1.2-46.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
      error: Failed dependencies:
      gcc = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.i386
      libstdc++ = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.i386
      libstdc++-devel = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.i386
      gcc = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.x86_64
      libstdc++ = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.x86_64
      libstdc++-devel = 4.1.2-46.el5 is needed by gcc-c++-4.1.2-46.el5.x86_64



      # rpm -ivh unixODBC*
      warning: unixODBC-2.2.11-10.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
      error: Failed dependencies:
      libodbc.so.1 is needed by unixODBC-2.2.11-10.el5.i386
      libodbcinst.so.1 is needed by unixODBC-2.2.11-10.el5.i386
      unixODBC-libs = 2.2.11-10.el5 is needed by unixODBC-2.2.11-10.el5.i386
      libodbc.so.1()(64bit) is needed by unixODBC-2.2.11-10.el5.x86_64
      libodbcinst.so.1()(64bit) is needed by unixODBC-2.2.11-10.el5.x86_64
      unixODBC-libs = 2.2.11-10.el5 is needed by unixODBC-2.2.11-10.el5.x86_64
      libboundparam.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libesoobS.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libgtrtst.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libmimerS.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libnn.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libodbccr.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libodbcdrvcfg1S.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libodbcdrvcfg2S.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libodbcinst.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libodbcminiS.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libodbcnnS.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libodbctxtS.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      liboplodbcS.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      liboraodbcS.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libsapdbS.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libtdsS.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libtemplate.so.1 is needed by unixODBC-devel-2.2.11-10.el5.i386
      unixODBC-libs = 2.2.11-10.el5 is needed by unixODBC-devel-2.2.11-10.el5.i386
      libboundparam.so.1()(64bit) is needed by unixODBC-devel-2.2.11-10.el5.x86_64
      libesoobS.so.1()(64bit) is needed by unixODBC-devel-2.2.11-10.el5.x86_64
      libgtrtst.so.1()(64bit) is needed by unixODBC-devel-2.2.11-10.el5.x86_64
      libmimerS.so.1()(64bit) is needed by unixODBC-devel-2.2.11-10.el5.x86_64
      libnn.so.1()(64bit) is needed by unixODBC-devel-2.2.11-10.el5.x86_64
      libodbccr.so.1()(64bit) is needed by unixODBC-devel-2.2.11-10.el5.x86_64
      libodbcdrvcfg1S.so.1()(64bit) is needed by unixODBC-devel-2.2.11-10.el5.x86_64
      libodbcdrvcfg2S.so.1()(64bit) is needed by unixODBC-devel-2.2.11-10.el5.x86_64
      libodbcinst.so.1()(64bit) is needed by unixODBC-devel-2.2.11-10.el5.x86_64